# Report Spam Address

> For the complete documentation index, see [llms.txt](/docs/llms.txt).

GET https://eth-mainnet.g.alchemy.com/nft/v3/{apiKey}/reportSpam

Reports a specific address to the API if it is suspected to be spam.

<Note>Spam NFT functionality is available on Mainnet for the following chains: Base, Arbitrum, Optimism, Ethereum, Polygon, Worldchain, Avax, BNB, Gnosis, Zksync, Unichain, and Blast. More to come soon!</Note>


Reference: https://www.alchemy.com/docs/reference/nft-api-endpoints/nft-api-endpoints/nft-spam-endpoints/report-spam-v-3

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| apiKey | string | Yes |  |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| address | string | Yes | String - The address to check for spam status. |
| isSpam | boolean | Yes |  |

## Code Examples

### cURL

```bash
curl --request GET \
  --url 'https://eth-mainnet.g.alchemy.com/nft/v3/docs-demo/reportSpam?address=0x495f947276749ce646f68ac8c248420045cb7b5e&isSpam=true'
```

### JavaScript

```javascript
const options = {method: 'GET'};

fetch('https://eth-mainnet.g.alchemy.com/nft/v3/docs-demo/reportSpam?address=0x495f947276749ce646f68ac8c248420045cb7b5e&isSpam=true', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://eth-mainnet.g.alchemy.com/nft/v3/docs-demo/reportSpam?address=0x495f947276749ce646f68ac8c248420045cb7b5e&isSpam=true"

response = requests.get(url)

print(response.text)
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://eth-mainnet.g.alchemy.com/nft/v3/docs-demo/reportSpam?address=0x495f947276749ce646f68ac8c248420045cb7b5e&isSpam=true"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
```

### Java

```java
HttpResponse<String> response = Unirest.get("https://eth-mainnet.g.alchemy.com/nft/v3/docs-demo/reportSpam?address=0x495f947276749ce646f68ac8c248420045cb7b5e&isSpam=true")
  .asString();
```

### C#

```csharp
using RestSharp;


var options = new RestClientOptions("https://eth-mainnet.g.alchemy.com/nft/v3/docs-demo/reportSpam?address=0x495f947276749ce646f68ac8c248420045cb7b5e&isSpam=true");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);

```


## Operation Specification

```yaml
path: /v3/{apiKey}/reportSpam
method: GET
operation:
  summary: Report Spam Address
  description: |
    Reports a specific address to the API if it is suspected to be spam.

    <Note>Spam NFT functionality is available on Mainnet for the following chains: Base, Arbitrum, Optimism, Ethereum, Polygon, Worldchain, Avax, BNB, Gnosis, Zksync, Unichain, and Blast. More to come soon!</Note>
  tags:
    - NFT Spam Endpoints
  parameters:
    - name: apiKey
      in: path
      schema:
        type: string
        default: docs-demo
        description: For higher throughput, [create your own API key](https://dashboard.alchemy.com/signup)
      required: true
    - name: address
      description: String - The address to check for spam status.
      in: query
      schema:
        type: string
        default: '0x495f947276749ce646f68ac8c248420045cb7b5e'
      required: true
    - name: isSpam
      in: query
      required: true
      schema:
        type: boolean
        description: Whether the address is spam.
        default: true
  responses:
    '200':
      description: Returns a confirmation message if the address was successfully reported as spam.
      content:
        application/json:
          schema:
            type: string
            description: String - "Address was successfully reported as spam" if calling the API was successful.
  operationId: reportSpam-v3
```
